ES8 support!

This topic contains 1 reply, has 2 voices, and was last updated by  support-swapna 4 days, 1 hour ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #672439 Reply

    melartin
    Participant

    Eclipse and MyEclipse only support EcmaScript 6, but it is already 6 years old. Our project has started using await and async (from es8) and we, exlipse and MyEclipse users have fallen behind! There are big demands towards us to change to Idea or VsCode!

    #672582 Reply

    support-swapna
    Moderator

    melartin,

    Apologies for the delayed response on this post, it was somehow missed.

    1) To get ES8 support in MyEclipse, you can install the CodeMix plugin (free for MyEclipse Pro and above) into MyEclipse
    2) After restarting, go to Preferences > Validation and turn off “JavaScript Syntax Validator – JSjet” and apply the changes. Do a full rebuild when it prompts to.
    3) Open your file in the JavaScript :: CodeMix editor using the Open With menu – you should now see updated validation for JavaScript. You can also change the default editor for this file type.

    We realize this is not an optimum solution and are aware of the absence of modern JavaScript support in MyEclipse. We will be making some changes in upcoming MyEclipse versions to have this work out of the box.

    Do let us know if you have any further questions.

    –Swapna
    Genuitec Support

Viewing 2 posts - 1 through 2 (of 2 total)
Reply To: ES8 support!

You must be logged in to post in the forum log in